# PassManager

## Описание

Менеджер паролей для телеграм, где все пароли надёжно зашифрованы

## Документация

### База данных

В качестве базы данных данный бот использует mariadb, к которой бот должен иметь доступ всегда

### Команды и их синтаксис

- /set_master_pass - установить мастер пароль
- /add_account - создать аккаунт
- /get_accounts - получить список аккаунтов
- /get_account - получить логин и пароль аккаунта
- /delete_account - удалить аккаунт
- /delete_all - удалить все аккаунты и мастер пароль
- /reset_master_pass- удалить все аккаунты и изменить мастер пароль
- /cancel - отмена текущего действия
- /help - помощь
- /export - получить пароли в json формате
- /import - импортировать пароли из json в файле в таком же формате, как из /export

### Настройка

Настройка производится через переменные среды. Их можно прописать в файле .env, если не хотите задавать их каждый раз в случае, если вы не используете Docker

#### Переменные среды

- DB_HOST - ip адрес базы данных
- DB_USER - пользователь базы данных
- DB_PASS - пароль пользователя базы данных
- DB_NAME - название базы данных
- TG_TOKEN - токен телеграма, его следует указать в файле .env в формате TG_TOKEN={токен}
